package com.loganmagnan.nicknamesplus.listeners;

import com.loganmagnan.nicknamesplus.NicknamesPlus;
import com.loganmagnan.nicknamesplus.playerdata.PlayerData;
import org.bukkit.NamespacedKey;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;
import org.bukkit.persistence.PersistentDataType;

public class AsyncPlayerChatListener implements Listener {

    private NicknamesPlus main = NicknamesPlus.getInstance();

    @EventHandler
    public void onAsyncPlayerChat(AsyncPlayerChatEvent event) {
        Player player = event.getPlayer();

        if (player.getPersistentDataContainer().get(new NamespacedKey(this.main, "Nickname"), PersistentDataType.STRING) == null) {
            return;
        }

        String displayName = player.getPersistentDataContainer().get(new NamespacedKey(this.main, "Nickname"), PersistentDataType.STRING);

        player.setDisplayName(displayName);
    }
}
